Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class RegimenFactory

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.RegimenFactory

    public class RegimenFactory

extends Object

Created by EH053 on 09/09/2016.

Constructor Summary
`RegimenFactory()`

Method Summary
`static JAXBElement<org.joda.time.DateTime>` | `createDate(org.joda.time.DateTime date)`
`static JAXBElement<BigInteger>` | `createDayNumber(BigInteger number)`
`static JAXBElement<Daytime>` | `createDaytime(Daytime date)`
`static JAXBElement<AdministrationquantityType>` | `createQuantity(BigDecimal decimal)`
`static JAXBElement<AdministrationquantityType>` | `createQuantity(BigDecimal decimal, AdministrationunitType administrationunitType)`
`static JAXBElement<Weekday>` | `createWeekday(Weekday date)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegimenFactory

    public RegimenFactory()

Method Detail

### createDayNumber

    public static JAXBElement<BigInteger> createDayNumber(BigInteger number)

### createDate

    public static JAXBElement<org.joda.time.DateTime> createDate(org.joda.time.DateTime date)

### createDaytime

    public static JAXBElement<Daytime> createDaytime(Daytime date)

### createWeekday

    public static JAXBElement<Weekday> createWeekday(Weekday date)

### createQuantity

    public static JAXBElement<AdministrationquantityType> createQuantity(BigDecimal decimal)

### createQuantity

    public static JAXBElement<AdministrationquantityType> createQuantity(BigDecimal decimal,
                                                                         AdministrationunitType administrationunitType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.